﻿@model SYM.DataAccessLayer.mountain
@{
    var rangeStr = "";
    if (Model.mntn_mountainrange != null)
    {
        rangeStr = "(" + Model.mntn_mountainrange.mntnRange_name + ")";
    }
}

<div><b class="text-uppercase">@Model.mntn_name</b> - <small>@Model.mntn_altitude m.</small> @rangeStr</div>
@if (Model.mntn_image.Count > 0 && @Model.mntn_image.Last().image_cdn == true)
{
    <br />
    <div style="max-width: 250px; max-height: 250px; background-color:#1BBC9B;" id="image-cover-container">
        <img id="image-cover" src="http://res.cloudinary.com/shareyourmountain/image/upload/c_fill,w_350/@Model.mntn_image.Last().image_url.ToString()" alt="Flickr">
    </div>
}
else if (Model.mntn_image.Count > 0)
{
    <br />
    <div style="max-width: 350px; max-height: 350px; background-color:#1BBC9B;" id="image-cover-container">
        <img id="image-cover" src="@Model.mntn_image.Last().image_url.ToString()" alt="Flickr" style="width: 350px;">
    </div>
}
<br />
<a href='/Mountain/@Model.id-@Model.mntn_name.Replace(" ","").Replace("-","_").Replace("&","").Replace("/","").Replace(".","")' target="_blank" class="btn btn-default btn-success">Scheda</a>
@if (Model.route != null && Model.route.Count() > 0)
{
    <a href='/Route/Index3?_m=@Model.id' class="btn btn-default" >Itinerari (<span class="bold">@Model.route.Count()</span>)</a>
}

